Bug 846042 - No soundcard detected and general slow responsiveness with gnome shell when home on NFS
No soundcard detected and general slow responsiveness with gnome shell when h...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 11:57 EDT by oll
Modified: 2013-07-31 23:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:10:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oll 2012-08-06 11:57:54 EDT
If want to migrate my users from F14 to F17 but I encounter this blocking problem.
All users have their home exported by a NFS server.(NFSv4/krb5)

Homes are correctly automounted with the right rights (gssd and idmapd work well)
But gnome (gnome shell-no fallback) doesn't recognize the soundcard
Furthermore, when you browse the menus of applications, it's really slow (for instance, each opening of one firefox menu - file, edit, view, etc... - take 1 second)

It doesn't happen with the same remote users using Fedora 14. (gnome reacts fast and soundcard is recognized)

It doesn't happen neither with a local account on a Fedora 17 (ie when the home directory is on the hard drive) : soundcard is recognized (speakers icon appears) and gnome is responsive.

After investigation, it happears that pulseaudio didn't succeed in creating the ~/.pulse directory when ~ is a NFS share. Here is a piece of the trace of the pulseaudio -k command :

mkdir("/home/olelain/.pulse", 0700)     = 0
umask(02)                               = 077
open("/home/olelain/.pulse", O_RDONLY|O_NOCTTY|O_NOFOLLOW|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
getuid()                                = 781
getgid()                                = 119
fchown(3, 781, 119)                     = -1 EINVAL (Invalid argument)
rmdir("/home/olelain/.pulse")           = 0



Furthermore, running wireshark, it appears that this generates around 50 nfs packets (trying to create the ~/.pulse directory and adding an entry in ~/.xsession-error : )  each time I open a menu (I wonder why gnome wants to play a sound each time ? .. anyway). 
This is what causes the 1 second latency and makes gnome not responsive.

I tried to google "fchown+nfs" whithout success (I'm far from being a kernel expert).
Comment 1 oll 2012-08-06 12:31:14 EDT
Hmm..actually, it looks more like a NFS issue than a pulseaudio one:

On a F14 station :

-bash-4.2$ mount |grep olelain
nfs-server:/olelain on /home/olelain type nfs4 (rw,relatime,vers=4.0,rsize=1048576,wsize=1048576,namlen=255,hard,proto=tcp,timeo=600,retrans=2,sec=krb5,clientaddr=***,local_lock=none,addr=***)
-bash-4.2$ chown olelain zz
chown: changing ownership of `zz': Invalid argument


On a F14 station : 

-bash-4.1$ mount|grep olelain
nfs-server:/olelain on /home/olelain type nfs4 (rw,file,sec=krb5,hard,tcp,sloppy,addr=***,clientaddr=***)
-bash-4.1$ chown olelain zz
-bash-4.1$

So no error on F14. F14 and F17 have the same autofs settings. I wonder where the local_lock=none comes from and if it's the cause of the error.
Comment 2 oll 2012-08-07 03:58:26 EDT
Definitively a NFS4 problem. Maybe I should open another bug since the souncard problem is a far consequence.

idmapd dies :

# systemctl status nfs-idmap.service
nfs-idmap.service - NFSv4 ID-name mapping daemon
	  Loaded: loaded (/usr/lib/systemd/system/nfs-idmap.service; enabled)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/nfs-idmap.service


/proc/net/rpc/nfs4.nametoid/channel is missing : 

]# rpc.idmapd -f -vvvv
rpc.idmapd: libnfsidmap: using domain: ***
rpc.idmapd: libnfsidmap: Realms list: '***' 
rpc.idmapd: libnfsidmap: processing 'Method' list
rpc.idmapd: libnfsidmap: loaded plugin /lib64/libnfsidmap/nsswitch.so for method nsswitch

rpc.idmapd: Expiration time is 600 seconds.
rpc.idmapd: nfsdopenone: Opening /proc/net/rpc/nfs4.nametoid/channel failed: errno 2 (No such file or directory)

# rpm -q kernel nfs-utils
kernel-3.5.0-2.fc17.x86_64
nfs-utils-1.2.6-3.fc17.x86_64
Comment 3 oll 2012-08-07 05:58:58 EDT
Just read this :
https://bugzilla.redhat.com/show_bug.cgi?id=817041

Sorry so for the confusion.

Anyway, the chown bug remains.
What I dont understand is that nfsidmap seems to work since I see the right attributes (owner and groups).
But it seems to work only for name to uid, not for uid to name
Indeed, sniffing nfs packets with wireshark, I see olelain@nfsdomain for each getattr but the nfs client sends olelain@dnsdomain for each settr, instead of olelain@nfsdomain (my nfsdomain, in idmapd.conf is different of the dnsname of my stations)

In abstract, it looks like nfsidmap works for name to id , but not for id to name.
Comment 4 Fedora End Of Life 2013-07-03 19:59:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 23:10:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.